MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029838Open CASCADE[OCCT] OCCT:Application Frameworkpublic2018-06-05 10:452020-09-05 12:35
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0029838: Application Framework - TObj.msg defines unused messages
DescriptionTObj.msg defines messages that are used nowhere.
Such messages should be eliminated.
In particular, at least the following messages cannot be found in source code:
 TObj_DL_ZeroId, TObj_DL_MissItemData, TObj_DL_DoubledTag
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0093761)
git (administrator)
2020-08-31 13:46

Branch CR29838 has been created by mpv.

SHA-1: 9168010b87d0bf84ebbf6f01a6b95d3475bae18b


Detailed log of new commits:

Author: mpv
Date: Mon Aug 31 13:49:18 2020 +0300

    29838: Application Framework - TObj.msg defines unused messages
(0093781)
mpv (developer)
2020-08-31 21:21

Fixed, please review.

http://occt-tests/CR29838-master-MPV-Products/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR29838-master-MPV-OCCT/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR29838-master-MPV-OCCT/Debian80-64/diff_summary.html [^]
http://occt-tests/CR29838-master-MPV-Products/Debian80-64/diff_summary.html [^]
(0093801)
git (administrator)
2020-09-01 12:06

Branch CR29838 has been updated forcibly by mpv.

SHA-1: f5bcb53c4d61f2ed54f9dd42b24f25dd53ace24a
(0093983)
szy (manager)
2020-09-03 14:33

Reviewed.
(0094063)
bugmaster (administrator)
2020-09-05 12:09

Combination -
OCCT branch : IR-2020-09-04
master SHA - a516227511f3452f9f55b79c961265b0bf210793
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-04 SHA - 134448d280fb82bfb14ffc6255ac1cb53f7fd1cf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17319.18000000012 / 17284.370000000214 [+0.20%]
Products
Total CPU difference: 12059.670000000087 / 12007.590000000067 [+0.43%]
Windows-64-VC14:
OCCT
Total CPU difference: 18776.390625 / 18770.796875 [+0.03%]
Products
Total CPU difference: 13251.640625 / 13222.90625 [+0.22%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0094090)
git (administrator)
2020-09-05 12:35

Branch CR29838 has been deleted by inv.

SHA-1: f5bcb53c4d61f2ed54f9dd42b24f25dd53ace24a

- Related Changesets
occt: master 59af6f85
Timestamp: 2020-08-31 10:49:18
Author: mpv
Committer: bugmaster
Details ] Diff ]
0029838: Application Framework - TObj.msg defines unused messages
mod - src/TObj/TObj.msg Diff ] File ]
mod - src/TObj/TObj_TObj_msg.pxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-05 10:45 kgv New Issue
2018-06-05 10:45 kgv Assigned To => mpv
2019-09-04 15:36 abv Target Version 7.4.0 => 7.5.0
2020-08-31 13:46 git Note Added: 0093761
2020-08-31 21:21 mpv Note Added: 0093781
2020-08-31 21:21 mpv Assigned To mpv => szy
2020-08-31 21:21 mpv Status new => resolved
2020-08-31 21:21 mpv Steps to Reproduce Updated View Revisions
2020-09-01 12:06 git Note Added: 0093801
2020-09-03 14:33 szy Note Added: 0093983
2020-09-03 14:33 szy Assigned To szy => bugmaster
2020-09-03 14:33 szy Status resolved => reviewed
2020-09-05 12:09 bugmaster Note Added: 0094063
2020-09-05 12:09 bugmaster Status reviewed => tested
2020-09-05 12:21 bugmaster Test case number => Not required
2020-09-05 12:25 bugmaster Changeset attached => occt master 59af6f85
2020-09-05 12:25 bugmaster Status tested => verified
2020-09-05 12:25 bugmaster Resolution open => fixed
2020-09-05 12:35 git Note Added: 0094090


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker